For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Markets by Search by Name

This endpoint returns markets information from your requested search query.

https://api.sportmonks.com/v3/odds/markets/search/{search_query}
"data": [
        {
            "id": 3,
            "legacy_id": null,
            "name": "X Goal",
            "developer_name": "X_GOAL",
            "has_winning_calculations": false
        },
        {
            "id": 4,
            "legacy_id": 28077,
            "name": "Match Goals",
            "developer_name": "MATCH_GOALS",
            "has_winning_calculations": true
        },
        {
            "id": 5,
            "legacy_id": 136703813,
            "name": "Alternative Match Goals",
            "developer_name": "ALTERNATIVE_MATCH_GOALS",
            "has_winning_calculations": true
        },
        {
            "id": 7,
            "legacy_id": 136830707,
            "name": "Goal Line",
            "developer_name": "GOAL_LINE",
            "has_winning_calculations": false
        },
```
Field
Description
Type

id

Refers to the unique id of the bookmaker

integer

name

Refers to the name of the market

string

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Not applicable for this endpoint.

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 0 nested includes on this endpoint

Pagination

YES

Include options

none

Get an overview and explanation of all the fields returned in the API response. The related entities for the Markets endpoint are:

Code Example

Last updated